package com.philisense.www.service.impl;


import com.philisense.www.dao.ProUserGeographicDAO;
import com.philisense.www.service.ProUserGeographicService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


import java.util.List;
import java.util.Map;

@Service
public class ProUserGeographicServiceImpl implements ProUserGeographicService {

@Autowired
private ProUserGeographicDAO proUserGeographicDAO;

@Override
public int deleteByPrimaryKey(String id) {
return proUserGeographicDAO.deleteByPrimaryKey(id);
}

@Override
public Map<String, Object> selectByPrimaryKey(String id) {
return proUserGeographicDAO.selectByPrimaryKey(id);
}

@Override
public int insert(Map<String, Object> map) {
return proUserGeographicDAO.insert(map);
}

@Override
public int update(Map<String, Object> map) {
return proUserGeographicDAO.update(map);
}

@Override
public int deleteByMap(Map<String, Object> map) {
return proUserGeographicDAO.deleteByMap(map);
}

@Override
public int updateByMap(Map<String, Object> map) {
return proUserGeographicDAO.updateByMap(map);
}

@Override
public Map<String, Object> getOne(Map<String, Object> map) {
return proUserGeographicDAO.getOne(map);
}

@Override
public List<Map<String, Object>> getAll(Map<String, Object> map) {
return proUserGeographicDAO.getAll(map);
}

@Override
public List<Map<String, Object>> queryPage(Map<String, Object> map) {
return proUserGeographicDAO.queryPage(map);
}

@Override
public int count(Map<String, Object> map) {
return proUserGeographicDAO.count(map);
}

@Override
public void insertBatch(List<Map<String, Object>> list) {
proUserGeographicDAO.insertBatch(list);
}

@Override
public void deleteBatch(List<Map<String, Object>> list) {
proUserGeographicDAO.deleteBatch(list);
}

@Override
public void updateBatch(List<Map<String, Object>> list) {
proUserGeographicDAO.updateBatch(list);
}
}